## prometheus-sql-exporter 0.2.0.ds

=== Makefile ===
# Copyright 2015 The Prometheus Authors
# Licensed under the Apache License, Version 2.0 (the "License");
# you may not use this file except in compliance with the License.
# You may obtain a copy of the License at
#
# http://www.apache.org/licenses/LICENSE-2.0
#
# Unless required by applicable law or agreed to in writing, software
# distributed under the License is distributed on an "AS IS" BASIS,
# WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
# See the License for the specific language governing permissions and
# limitations under the License.

GO    := GO15VENDOREXPERIMENT=1 go
PROMU := $(GOPATH)/bin/promu
pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

PREFIX              ?= $(shell pwd)
BIN_DIR             ?= $(shell pwd)
DOCKER_IMAGE_NAME   ?= sql-exporter
DOCKER_IMAGE_TAG    ?= $(subst /,-,$(shell git rev-parse --abbrev-ref HEAD))


all: format build test

style:
	@echo ">> checking code style"
	@! gofmt -d $(shell find . -path ./vendor -prune -o -name '*.go' -print) | grep '^'

test:
	@echo ">> running tests"
	@$(GO) test -short -race $(pkgs)

format:
	@echo ">> formatting code"
	@$(GO) fmt $(pkgs)

vet:
	@echo ">> vetting code"
	@$(GO) vet $(pkgs)

build: promu
	@echo ">> building binaries"
	@$(PROMU) build --prefix $(PREFIX)

tarball: promu
	@echo ">> building release tarball"
	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)

docker:
	@echo ">> building docker image"
	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .

promu:
	@GOOS=$(shell uname -s | tr A-Z a-z) \
		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
		$(GO) get -u github.com/prometheus/promu


.PHONY: all style format build test vet tarball docker promu

=== debian/changelog ===
prometheus-sql-exporter (0.2.0.ds-6) unstable; urgency=medium

  * Update PostgreSQL Maintainers address.

 -- Christoph Berg <christoph.berg@credativ.de>  Thu, 07 Feb 2019 11:55:02 +0100

prometheus-sql-exporter (0.2.0.ds-5) unstable; urgency=medium

  * Add install-time testsuite.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 31 Oct 2018 13:32:44 +0100

prometheus-sql-exporter (0.2.0.ds-4) unstable; urgency=medium

  [ Michael Stapelberg ]
  * Port to use dh-golang.
  * Set Built-Using field. (Closes: #892116)

  [ Christoph Berg ]
  * Remove debug logging from our synchronous-jobs patch.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 10 Apr 2018 13:34:56 +0200

prometheus-sql-exporter (0.2.0.ds-3) unstable; urgency=medium

  * Build-Depend on golang-any | golang-go.

 -- Christoph Berg <christoph.berg@credativ.de>  Mon, 29 Jan 2018 09:55:46 +0100

prometheus-sql-exporter (0.2.0.ds-2) unstable; urgency=medium

  * Set compilation output filename explicitly.
  * Put explicit copyright on debian/* as requested by ftp-master.

 -- Christoph Berg <christoph.berg@credativ.de>  Wed, 03 Jan 2018 14:43:59 +0100

prometheus-sql-exporter (0.2.0.ds-1) unstable; urgency=medium

  * Initial Release.

 -- Christoph Berg <christoph.berg@credativ.de>  Tue, 02 Jan 2018 13:22:33 +0100

=== debian/control ===
Source: prometheus-sql-exporter
Section: database
Priority: optional
Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
Uploaders: Christoph Berg <myon@debian.org>
Build-Depends: debhelper (>= 10),
 golang-any | golang-go,
 golang-github-cenkalti-backoff-dev,
 golang-github-denisenkom-go-mssqldb-dev,
 golang-github-go-sql-driver-mysql-dev,
 golang-github-jmoiron-sqlx-dev,
 golang-github-prometheus-common-dev,
 golang-github-go-kit-kit-dev,
 help2man,
 dh-golang,
Standards-Version: 4.3.0
Homepage: https://github.com/credativ/sql_exporter
XS-Go-Import-Path: github.com/credativ/sql_exporter
Vcs-Browser: https://github.com/credativ/sql_exporter
Vcs-Git: https://github.com/credativ/sql_exporter.git

Package: prometheus-sql-exporter
Architecture: any
Depends:
 postgresql-common,
 ${shlibs:Depends},
 ${misc:Depends},
Built-Using: ${misc:Built-Using}
Description: Flexible SQL Exporter for Prometheus
 This Prometheus exporter extracts various metrics from PostgreSQL, MySQL, and
 MSSQL databases. The metrics are configurable via a YAML file.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ --with=systemd --with=golang --buildsystem=golang

override_dh_auto_install:
	mv obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/bin/sql_exporter \
	obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/bin/prometheus-sql-exporter
	dh_auto_install -- --no-source

override_dh_installman:
	PATH=$(PATH):obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/bin \
	help2man --no-discard-stderr --no-info \
		--name "SQL Exporter for Prometheus" \
		--version-string=$(shell dpkg-parsechangelog -S Version) \
		prometheus-sql-exporter > prometheus-sql-exporter.1
	dh_installman

=== debian/watch ===
version=4
options=dversionmangle=s/\.ds// \
https://github.com/justwatchcom/sql_exporter/releases .*/v([0-9.]+).tar.gz

## prometheus-sql-exporter 0.4.0

=== debian/changelog ===
prometheus-sql-exporter (0.4.0-1.pgdg20.04+1) focal-pgdg; urgency=medium

  * Rebuild for focal-pgdg.
  * Changes applied by generate-pgdg-source:
    + Using debhelper 12.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 11 Jan 2022 15:47:10 +0100

prometheus-sql-exporter (0.4.0-1) unstable; urgency=medium

  [ Debian Janitor ]
  * Drop unnecessary dh arguments: --with=systemd
  * Update standards version to 4.5.0, no changes needed.

  [ Christoph Berg ]
  * New upstream release.
  * DH 13.
  * Require newer golang-github-lib-pq-dev version.
  * Disable Clickhouse and AWS Athena support (Go drivers not packaged).
  * Move packaging repository to salsa.

 -- Christoph Berg <myon@debian.org>  Tue, 11 Jan 2022 15:47:10 +0100

=== debian/control ===
--- 
+++ 
@@ -3,21 +3,22 @@
 Priority: optional
 Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 10),
+Build-Depends: debhelper (>= 12),
  golang-any | golang-go,
  golang-github-cenkalti-backoff-dev,
  golang-github-denisenkom-go-mssqldb-dev,
  golang-github-go-sql-driver-mysql-dev,
  golang-github-jmoiron-sqlx-dev,
+ golang-github-lib-pq-dev (>> 1.3),
  golang-github-prometheus-common-dev,
  golang-github-go-kit-kit-dev,
  help2man,
  dh-golang,
-Standards-Version: 4.3.0
-Homepage: https://github.com/credativ/sql_exporter
-XS-Go-Import-Path: github.com/credativ/sql_exporter
-Vcs-Browser: https://github.com/credativ/sql_exporter
-Vcs-Git: https://github.com/credativ/sql_exporter.git
+Standards-Version: 4.6.0
+Homepage: https://github.com/justwatchcom/sql_exporter
+XS-Go-Import-Path: github.com/justwatchcom/sql_exporter
+Vcs-Browser: https://salsa.debian.org/postgresql/prometheus-sql-exporter
+Vcs-Git: https://salsa.debian.org/postgresql/prometheus-sql-exporter.git
 
 Package: prometheus-sql-exporter
 Architecture: any

## prometheus-sql-exporter 0.4.2

=== debian/changelog ===
prometheus-sql-exporter (0.4.2-1ubuntu0.1) jammy-security; urgency=medium

  * No change rebuild due to golang-1.18 update. Note that this package
    was built with golang-1.17.

 -- Allen Huang <allen.huang@canonical.com>  Tue, 19 Nov 2024 00:10:52 +0000

prometheus-sql-exporter (0.4.2-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Fri, 04 Feb 2022 11:52:57 +0100

=== debian/control ===
--- 
+++ 
@@ -1,9 +1,10 @@
 Source: prometheus-sql-exporter
 Section: database
 Priority: optional
-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
-Build-Depends: debhelper (>= 12),
+Build-Depends: debhelper-compat (= 13),
  golang-any | golang-go,
  golang-github-cenkalti-backoff-dev,
  golang-github-denisenkom-go-mssqldb-dev,

## prometheus-sql-exporter 0.4.4~20220624.1316-1~1.gita51a4f8.pgdg+1

=== debian/changelog ===
prometheus-sql-exporter (0.4.4~20220624.1316-1~1.gita51a4f8.pgdg+1) sid-pgdg; urgency=medium

  * Rebuild for sid-pgdg.
  * Changes applied by generate-pgdg-source:
    + Use source format 1.0 for git snapshot build.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 24 May 2022 17:38:44 +0200

prometheus-sql-exporter (0.4.4-1) unstable; urgency=medium

  * New upstream release.

 -- Christoph Berg <myon@debian.org>  Tue, 24 May 2022 17:38:44 +0200

prometheus-sql-exporter (0.4.3-1) unstable; urgency=medium

  * New upstream release.
  * Drop synchronous jobs patch, doesn't apply anymore.
  * B-D on golang-github-robfig-cron-dev.

 -- Christoph Berg <myon@debian.org>  Fri, 20 May 2022 16:11:10 +0200

## prometheus-sql-exporter 0.4.4

=== debian/changelog ===
prometheus-sql-exporter (0.4.4-1.pgdg22.04+1) jammy-pgdg; urgency=medium

  * Rebuild for jammy-pgdg.
  * No source changes.

 -- PostgreSQL on Debian and Ubuntu <pgsql-pkg-debian@lists.postgresql.org>  Tue, 24 May 2022 17:38:44 +0200

## prometheus-sql-exporter 0.4.5

=== Makefile ===
--- 
+++ 
@@ -11,7 +11,7 @@
 # See the License for the specific language governing permissions and
 # limitations under the License.
 
-GO    := GO15VENDOREXPERIMENT=1 go
+GO    := go
 PROMU := $(GOPATH)/bin/promu
 pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)

=== debian/changelog ===
prometheus-sql-exporter (0.4.5-2) unstable; urgency=medium

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Database, Bug-Submit, Repository,
    Repository-Browse.
  * Update standards version to 4.6.1, no changes needed.

  [ Bradford D. Boyle ]
  * Replace usage of deprecated and removed method NewCollector
    (Closes: #1067292)

 -- Bradford D. Boyle <bradford.d.boyle@gmail.com>  Thu, 04 Apr 2024 10:23:34 +0200

prometheus-sql-exporter (0.4.5-1) unstable; urgency=medium

  * New upstream version.

 -- Christoph Berg <myon@debian.org>  Tue, 06 Sep 2022 16:46:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,21 +1,22 @@
 Source: prometheus-sql-exporter
 Section: database
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
+Maintainer: Debian PostgreSQL Maintainers <team+postgresql@tracker.debian.org>
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper-compat (= 13),
  golang-any | golang-go,
  golang-github-cenkalti-backoff-dev,
  golang-github-denisenkom-go-mssqldb-dev,
+ golang-github-go-kit-kit-dev,
  golang-github-go-sql-driver-mysql-dev,
  golang-github-jmoiron-sqlx-dev,
  golang-github-lib-pq-dev (>> 1.3),
+ golang-github-prometheus-client-golang-dev,
  golang-github-prometheus-common-dev,
- golang-github-go-kit-kit-dev,
+ golang-github-robfig-cron-dev,
  help2man,
  dh-golang,
-Standards-Version: 4.6.0
+Standards-Version: 4.6.1
 Homepage: https://github.com/justwatchcom/sql_exporter
 XS-Go-Import-Path: github.com/justwatchcom/sql_exporter
 Vcs-Browser: https://salsa.debian.org/postgresql/prometheus-sql-exporter

=== debian/rules ===
--- 
+++ 
@@ -1,7 +1,7 @@
 #!/usr/bin/make -f
 
 %:
-	dh $@ --with=systemd --with=golang --buildsystem=golang
+	dh $@ --with=golang --buildsystem=golang
 
 override_dh_auto_install:
 	mv obj-$(shell dpkg-architecture -qDEB_HOST_GNU_TYPE)/bin/sql_exporter \

=== debian/watch ===
version=4
options=dversionmangle=s/\.ds// \
https://github.com/justwatchcom/sql_exporter/tags .*/v([0-9.]+).tar.gz

## prometheus-sql-exporter 0.9

=== Makefile ===
--- 
+++ 
@@ -12,7 +12,6 @@
 # limitations under the License.
 
 GO    := go
-PROMU := $(GOPATH)/bin/promu
 pkgs   = $(shell $(GO) list ./... | grep -v /vendor/)
 
 PREFIX              ?= $(shell pwd)
@@ -39,22 +38,12 @@
 	@echo ">> vetting code"
 	@$(GO) vet $(pkgs)
 
-build: promu
+build:
 	@echo ">> building binaries"
-	@$(PROMU) build --prefix $(PREFIX)
-
-tarball: promu
-	@echo ">> building release tarball"
-	@$(PROMU) tarball --prefix $(PREFIX) $(BIN_DIR)
+	@$(GO) build -o $(PREFIX)/$(DOCKER_IMAGE_NAME)
 
 docker:
 	@echo ">> building docker image"
 	@docker build -t "$(DOCKER_IMAGE_NAME):$(DOCKER_IMAGE_TAG)" .
 
-promu:
-	@GOOS=$(shell uname -s | tr A-Z a-z) \
-		GOARCH=$(subst x86_64,amd64,$(patsubst i%86,386,$(shell uname -m))) \
-		$(GO) get -u github.com/prometheus/promu
-
-
-.PHONY: all style format build test vet tarball docker promu
+.PHONY: all style format build test vet docker

=== debian/changelog ===
prometheus-sql-exporter (0.9-1) unstable; urgency=medium

  [ Bradford D. Boyle ]
  * New upstream version.

  [ Christoph Berg ]
  * Use golang-github-cenkalti-backoff-v4-dev. (Closes: #1122586)
    (Keep golang-github-cenkalti-backoff-dev for backports.)

 -- Christoph Berg <myon@debian.org>  Thu, 11 Dec 2025 17:30:05 +0000

=== debian/control ===
--- 
+++ 
@@ -5,10 +5,11 @@
 Uploaders: Christoph Berg <myon@debian.org>
 Build-Depends: debhelper-compat (= 13),
  golang-any | golang-go,
- golang-github-cenkalti-backoff-dev,
+ golang-github-cenkalti-backoff-v4-dev | golang-github-cenkalti-backoff-dev,
  golang-github-denisenkom-go-mssqldb-dev,
  golang-github-go-kit-kit-dev,
  golang-github-go-sql-driver-mysql-dev,
+ golang-github-gobwas-glob-dev,
  golang-github-jmoiron-sqlx-dev,
  golang-github-lib-pq-dev (>> 1.3),
  golang-github-prometheus-client-golang-dev,
@@ -16,7 +17,7 @@
  golang-github-robfig-cron-dev,
  help2man,
  dh-golang,
-Standards-Version: 4.6.1
+Standards-Version: 4.7.2
 Homepage: https://github.com/justwatchcom/sql_exporter
 XS-Go-Import-Path: github.com/justwatchcom/sql_exporter
 Vcs-Browser: https://salsa.debian.org/postgresql/prometheus-sql-exporter

=== debian/watch ===
version=4
options=dversionmangle=s/\.ds// \
https://github.com/justwatchcom/sql_exporter/tags .*/v\.?([0-9][0-9.]+).tar.gz
